Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/AddProduct.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/AddProduct.cshtml	(revision 9556)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/AddProduct.cshtml	(revision 9582)
@@ -15,5 +15,5 @@
        <td>@Html.TextBoxFor(m => m.Quantity)</td>
        <td>
-        <input type="hidden" value="@product.Id.ToString()" name="ProductId" />
+        <input type="hidden" value="@product.ProductId.ToString()" name="ProductId" />
         <input type="submit" value="Add product" />
        </td>      
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/Overview.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/Overview.cshtml	(revision 9582)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/Overview.cshtml	(revision 9582)
@@ -0,0 +1,52 @@
+﻿@model HeuristicLab.Services.Optimization.Web.Models.OverviewModel
+
+@{
+    ViewBag.Title = "Overview";
+}
+
+@if (Model.Orders == null || Model.Orders.Count == 0) {
+    <h2>You don't have any orders yet. Click @Html.ActionLink("here", "Index") to create one.</h2>
+}
+else {
+
+<h2>Your orders:</h2>
+
+<table>
+<thead>
+<tr>
+<th>Order Id:</th><th>Order State:</th><th>Active Since</th><th>Active Until</th><th>Billing Period</th><th>Billing Type</th>
+</tr>
+</thead>
+<tbody>
+@foreach (var order in Model.Orders) {
+    <tr>
+        <td>@order.OrderId</td>
+        <td>@order.State</td>
+        <td>@order.ActiveSince</td>
+        <td>@order.ActiveUntil</td>
+        <td>@order.BillingPeriod</td>
+        <td>@order.BillingType</td>
+        <td>
+        <table>
+        <thead>
+        <tr>
+            <th>Product</th><th>Total Price</th><th>Quantity</th>
+        </tr>
+        </thead>
+        <tbody>
+        @foreach (var line in order.OrderLines) {
+        <tr>
+        <td>@line.Product.Name</td>
+        <td>@line.ProductPrice</td>
+        <td>@line.Quantity</td>
+        </tr>
+        }
+        </tbody>
+        </table>
+        </td>
+    </tr>
+}
+</tbody>
+</table>
+
+}
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/Payment.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/Payment.cshtml	(revision 9582)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/Payment.cshtml	(revision 9582)
@@ -0,0 +1,36 @@
+﻿@model HeuristicLab.Services.Optimization.Web.Models.PaymentModel
+@using HeuristicLab.Services.Optimization.Web.Helpers
+
+
+@{
+    ViewBag.Title = "Payment";
+}
+
+<h2>Enter Payment Information</h2>
+
+@using (Html.BeginForm("SavePayment", "Order")) {
+    
+<div class="editor-label">
+    @Html.LabelFor(m => m.Method)
+</div>
+<div class="editor-field">
+   @Html.RadioButtonForEnum(m => m.Method)
+</div>
+
+<div class="editor-label">
+    @Html.LabelFor(m => m.CardNumber)
+</div>
+<div class="editor-field">
+    @Html.EditorFor(m => m.CardNumber)
+</div>
+    
+<div class="editor-label">
+        @Html.LabelFor(m => m.AdditionalInformation)
+</div>
+<div class="editor-field">
+    @Html.EditorFor(m => m.AdditionalInformation)
+</div>
+<p>
+  <input type="submit" value="Save payment information" />
+</p>
+}
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/SaveOrder.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/SaveOrder.cshtml	(revision 9556)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Order/SaveOrder.cshtml	(revision 9582)
@@ -1,4 +1,4 @@
 ﻿@model HeuristicLab.Services.Optimization.Web.Models.OrderModel
-
+@using HeuristicLab.Services.Optimization.Web.Helpers
 <h2>Save your Order</h2>
 <p>Following items will be purchased</p>
@@ -22,9 +22,30 @@
 <p>Resulting in total costs of @Model.TotalSum() Euro.</p>
 
- @using(Html.BeginForm("SaveOrder", "Order")) {
- <div>
- <p>
-    <input type="submit" value="Save order" />
-</p>
-</div>
- }
+
+
+@if (Model.User.PaymentInformation == null || Model.User.PaymentInformation.Count == 0) {
+  <h2>You didn't specify any payment information yet. Please click @Html.ActionLink("here", "Payment") to enter the information.</h2>
+}
+else {
+    foreach (var pi in Model.User.PaymentInformation) {
+         @Html.Label("PaymentInformationId", string.Format("{0} ({1})", pi.PaymentMethod, pi.CardNumber))
+         @Html.RadioButton("PaymentInformationId", pi.PaymentInformationId);
+    }
+    <h2>Or add payment information by clicking @Html.ActionLink("here", "Payment").</h2>
+    
+    using (Html.BeginForm("SaveOrder", "Order")) {
+    <h2>How often would you like to be billed?</h2>
+
+    @Html.RadioButtonForEnum(m => m.BillingPeriod)
+
+    <h2>Would you like to pay upfront or at the end of the period?</h2>
+
+    @Html.RadioButtonForEnum(m => m.BillingType)
+     
+     <div>
+     <p>
+        <input type="submit" value="Save order" />
+    </p>
+    </div>
+}
+}
